Backup Client does not install from repo on ubuntu 20.04 UTS

t.lamprecht

Proxmox Staff Member
Staff member
Jul 28, 2015
5,547
1,817
174
South Tyrol/Italy
shop.proxmox.com
Yeah, this is known - actually the client does not need libapt-pkg, only the server does but the linker gets confused and adds it still as dependency.
We plan to split server and client (and possibly some other stuff) in separate crates, so that this confusion cannot even happen - then the really only the used stuff should be linked in.
 

Apollon77

Active Member
Sep 24, 2018
149
13
38
45
Any news here? It is not that fun as it sounds to build every version manually
 

t.lamprecht

Proxmox Staff Member
Staff member
Jul 28, 2015
5,547
1,817
174
South Tyrol/Italy
shop.proxmox.com
We'll look into client packages for other distros in the near future, until now getting PBS and soon also the PVE integration released as stable had more priority.

FYI: There's an Arch Linux User Repository (AUR) client package already, it's relatively simple to maintain as the compilation is done on the user side.
 

Apollon77

Active Member
Sep 24, 2018
149
13
38
45
> FYI: There's an Arch Linux User Repository (AUR) client package already, it's relatively simple to maintain as the compilation is done on the user side.

Hm ... Yes they stopped at realease 0.8.x ... I currently do that manually for each of your release ... it is not that easy s yu think because there are patches in it (systemd/apt stuff) and in fact as soon as upstream changes here you need to experiment.

Also some dependent libs are not using git tags, so I can only pull master without knowing which was the version to build.

So it is a try and error and in the end I may have a build ... not knowing what "version mix" I have :)
 

t.lamprecht

Proxmox Staff Member
Staff member
Jul 28, 2015
5,547
1,817
174
South Tyrol/Italy
shop.proxmox.com
Hm ... Yes they stopped at realease 0.8.x ... I currently do that manually for each of your release ... it is not that easy s yu think because there are patches in it (systemd/apt stuff) and in fact as soon as upstream changes here you need to experiment.
Not true, as I did the upgrade to 0.9.7 on Tuesday, and the 1.0.1 yesterday, so I'd say it's quite recent now :)
https://aur.archlinux.org/packages/proxmox-backup-client/

Also some dependent libs are not using git tags, so I can only pull master without knowing which was the version to build.
They all use either explicit versions or references, the version is always marked with an explicit bump commit.
So it is a try and error and in the end I may have a build ... not knowing what "version mix" I have :)
Either use the AUR package as reference for explicit refs where no tags are available (which are only two repositories, IIRC) or as said, use the version bump commits, as well, they are the version used :)

We'll look into improving the availability of tags in the future.
 

Apollon77

Active Member
Sep 24, 2018
149
13
38
45
Ok, then I looked before you did update AUR packages :)

My issue so far was not the backup-client repo - yes there version tags are used.

But I also needed to checkout the "proxmox" repo and here I did not saw version tags ...

But lest phrase it that way:

I have no real clue what I do there and I just try to get a client to use in all my Ubuntu VMs and LXCs and so no idea if the AUR ones really work out of the box there. I only state that I had much "fun" with this over the course of the versions :)
 

t.lamprecht

Proxmox Staff Member
Staff member
Jul 28, 2015
5,547
1,817
174
South Tyrol/Italy
shop.proxmox.com
Hi,

we worked around some linking/dependency issues and with version 1.0.8 the dependencies required got reduced, so that it now installs on Bullseye, Ubuntu 20.xy versions and possible other Debian derivatives just fine.

Bash:
wget http://download.proxmox.com/debian/pve/dists/buster/pvetest/binary-amd64/proxmox-backup-client_1.0.8-1_amd64.deb

# checksum verification
sha256sum proxmox-backup-client_1.0.8-1_amd64.deb 
f812593f8f1895fc5cbd5c8b6ec1120a4f863739c7c23aa0f2c15b0f7c59033a  proxmox-backup-client_1.0.8-1_amd64.deb

apt update
apt install ./proxmox-backup-client_1.0.8-1_amd64.deb
 

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE, Proxmox Backup Server, and Proxmox Mail Gateway.
We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get your own in 60 seconds.

Buy now!